Notification

Update notification event routing

Replaces the event -> channel[] routing map. Unknown events/channels are rejected. Accessible by workspace-admin and super roles.

PUT
/api/v2/workspaces/{id}/notification-routing

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/workspaces/0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f/notification-routing" \  -H "Content-Type: application/json" \  -d '{    "routing": {      "story.completed": [        "in_app",        "email"      ],      "export.ready": [        "slack"      ]    }  }'
Empty
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}